| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.MRE3Status Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.MRE3Status:

## Public Member Functions
| __init__ (self, board=None)
| GetDeviceEEPROMactiveChannel (self)
| SetDeviceEEPROMactiveChannel (self, channel)
| GetDeviceStatus (self)
| Register encodes system status and errors.
DeviceModel | GetDeviceID (self, channel)
| parse_error_flags (self, int error_flag_data)
| GetDeviceDetectSwitchMask (self)
| SetDeviceDetectSwitchMask (self, mask)
| GetMCUid (self)
| GetMCUtype (self, index, count)
| GetMCUload (self)
| GetMCUoverloadCounter (self)

## Static Public Member Functions
| help ()

## Public Attributes
dict | device_status
dict | device_eeprom_active_channel
dict | device_detect_switch_mask
dict | device_type_chan0
dict | device_type_chan1
dict | mcu_id
dict | mcu_load
dict | mcu_overload_counter
dict | mcu_type = {'id': self.sys_id << 8 | 0x02, 'type': str}
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    * Register map:
    *
    * Address | Name                  | Default      | Description                                     | Format and value        | Access     |
    * --------|-----------------------|--------------|-------------------------------------------------|-------------------------|------------|
    * 0x1000  |FW Id                  |              |                                                 | uint32                  | read only  |
    * 0x1001  |FW Branch              |              |                                                 | uint32                  | read only  |
    * 0x1002  |FW Type                |              |                                                 | uint32                  | read only  |
    * 0x1003  |FW Version Major       |              |                                                 | uint32                  | read only  |
    * 0x1004  |FW Version Minor       |              |                                                 | uint32                  | read only  |
    * 0x1005  |FW Version Build       |              |                                                 | uint32                  | read only  |
    * 0x1006  |FW Version Revision    |              |                                                 | uint32                  | read only  |
    * 0x1007  |System status errors   | 0 - No error | Register encodes system status and errors       | Read:<br/>   Bit#<br/>0 - Channel 0 output fault condition<br/>1 - Channel 0 output had fault condition<br/>2 - Channel 1 output fault condition<br/>3 - Channel 1 output had fault condition<br/>4 - Channel 2 output fault condition<br/>5 - Channel 2 output had fault condition<br/>6 - Channel 3 output fault condition<br/>7 - Channel 3 output had fault condition<br/>8 - Driver over-heat fault<br/>9 - Driver had over-heat fault<br/>10 - Device on channel 0 not detected<br/>11 - Device on channel 0 was not detected<br/>12 - Device on channel 1 not detected<br/>13 - Device on channel 1 was not detected<br/>14 - Device on channel 2 not detected<br/>15 - Device on channel 2 was not detected<br/>16 - Device on channel 3 not detected<br/>17 - Device on channel 3 was not detected<br/>18 - Channel 0 has over-current fault on 3V3 supply line<br/>19 - Channel 0 had over-current fault on 3V3 supply line<br/>20 - Channel 1 has over-current fault on 3V3 supply line<br/>21 - Channel 1 had over-current fault on 3V3 supply line<br/>22 - Channel 2 has over-current fault on 3V3 supply line<br/>23 - Channel 2 had over-current fault on 3V3 supply line<br/>24 - Channel 3 has over-current fault on 3V3 supply line<br/>25 - Channel 3 had over-current fault on 3V3 supply line<br/>26-31 - Reserved<br/>Write:<br/> Writing to this register resets all history error flags (odd bits 1, 3, .. 25)<br/> | read write |
    * 0x1008  |Dev.EEPROM active chan.| 0 = channel 0| Register switches I2C bus among channels        | uint32                  | read write |
    * 0x1009  |Dev.detect switch mask | 0            | SW switch parallel to Dev.Det.switches          | uint32                  | read write |
    * 0x100a  |DEV_TYPE0              | 0            | get device type on channel 0                    | uint32                  | read only  |
    * 0x100b  |DEV_TYPE1              | 0            | get device type on channel 1                    | uint32                  | read only  |
    * 0x100c  |NOT USED
    * 0x100d  |NOT USED
    * 0x100e  |MCU ID                 | 0            | get MCU type identification number              | uint32                  | read only  |
    * 0x100f  |MCU load               | 0            | get Signal Flow execution load in %             | uint32                  | read only  |
    * 0x1010  |MCU overload counter   | 0            | increments if Signal Flow execution load > 95%  | uint32                  | read only  |
    *
    *
    *
    * Vector map (vectors have their own address space):
    * Address | Name           | Default  | Description | Format and value | Access    |
    * --------|----------------|----------|-------------|------------------|-----------|
    * 0x1000  |Firmware SN     |          |             | ascii string     | read only |
    * 0x1001  |Git HEAD SHA1   |          |             | ascii string     | read only |
    * 0x1002  |MCU type string |          |             | ascii string     | read only |
    *
    *

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.MRE3Status.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetDeviceDetectSwitchMask()

optoMDC.registers.mre3_registers.MRE3Status.GetDeviceDetectSwitchMask | ( |  | self | ) |

## ◆ GetDeviceEEPROMactiveChannel()

optoMDC.registers.mre3_registers.MRE3Status.GetDeviceEEPROMactiveChannel | ( |  | self | ) |

## ◆ GetDeviceID()

DeviceModel optoMDC.registers.mre3_registers.MRE3Status.GetDeviceID | ( |  | self,
|  |  | channel )

## ◆ GetDeviceStatus()

optoMDC.registers.mre3_registers.MRE3Status.GetDeviceStatus | ( |  | self | ) |

Register encodes system status and errors.

## ◆ GetMCUid()

optoMDC.registers.mre3_registers.MRE3Status.GetMCUid | ( |  | self | ) |

## ◆ GetMCUload()

optoMDC.registers.mre3_registers.MRE3Status.GetMCUload | ( |  | self | ) |

## ◆ GetMCUoverloadCounter()

optoMDC.registers.mre3_registers.MRE3Status.GetMCUoverloadCounter | ( |  | self | ) |

## ◆ GetMCUtype()

optoMDC.registers.mre3_registers.MRE3Status.GetMCUtype | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ help()

optoMDC.registers.mre3_registers.MRE3Status.help | ( |  | ) |
| static

## ◆ parse_error_flags()

optoMDC.registers.mre3_registers.MRE3Status.parse_error_flags | ( |  | self,
|  | int | error_flag_data )

## ◆ SetDeviceDetectSwitchMask()

optoMDC.registers.mre3_registers.MRE3Status.SetDeviceDetectSwitchMask | ( |  | self,
|  |  | mask )

## ◆ SetDeviceEEPROMactiveChannel()

optoMDC.registers.mre3_registers.MRE3Status.SetDeviceEEPROMactiveChannel | ( |  | self,
|  |  | channel )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.MRE3Status._is_a_system = False
| static protected

## ◆ device_detect_switch_mask

dict optoMDC.registers.mre3_registers.MRE3Status.device_detect_switch_mask

Initial value:
= {'id': self.sys_id << 8 | 0x09,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ device_eeprom_active_channel

dict optoMDC.registers.mre3_registers.MRE3Status.device_eeprom_active_channel

Initial value:
= {'id': self.sys_id << 8 | 0x08,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ device_status

dict optoMDC.registers.mre3_registers.MRE3Status.device_status

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ device_type_chan0

dict optoMDC.registers.mre3_registers.MRE3Status.device_type_chan0

Initial value:
= {'id': self.sys_id << 8 | 0x0a,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ device_type_chan1

dict optoMDC.registers.mre3_registers.MRE3Status.device_type_chan1

Initial value:
= {'id': self.sys_id << 8 | 0x0b,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ mcu_id

dict optoMDC.registers.mre3_registers.MRE3Status.mcu_id

Initial value:
= {'id': self.sys_id << 8 | 0x0e,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ mcu_load

dict optoMDC.registers.mre3_registers.MRE3Status.mcu_load

Initial value:
= {'id': self.sys_id << 8 | 0x0f,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ mcu_overload_counter

dict optoMDC.registers.mre3_registers.MRE3Status.mcu_overload_counter

Initial value:
= {'id': self.sys_id << 8 | 0x10,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ mcu_type

optoMDC.registers.mre3_registers.MRE3Status.mcu_type = {'id': self.sys_id << 8 | 0x02, 'type': str}

## ◆ name

optoMDC.registers.mre3_registers.MRE3Status.name = self.__class__.__name__

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py